| Home | Libraries | People | FAQ | More

### windows::stream_handle_service

Default service implementation for a stream handle.

    class stream_handle_service :
      public io_service::service

##### Types

Name | Description
--- | ---
implementation_type | The type of a stream handle implementation.
native_type | The native handle type.

##### Member Functions

Name | Description
--- | ---
assign | Assign an existing native handle to a stream handle.
async_read_some | Start an asynchronous read.
async_write_some | Start an asynchronous write.
cancel | Cancel all asynchronous operations associated with the handle.
close | Close a stream handle implementation.
construct | Construct a new stream handle implementation.
destroy | Destroy a stream handle implementation.
get_io_service | Get the io_service object that owns the service.
io_service | (Deprecated: use get_io_service().) Get the io_service object that owns the service.
is_open | Determine whether the handle is open.
native | Get the native handle implementation.
read_some | Read some data from the stream.
shutdown_service | Destroy all user-defined handler objects owned by the service.
stream_handle_service | Construct a new stream handle service for the specified io_service.
write_some | Write the given data to the stream.

##### Data Members

Name | Description
--- | ---
id | The unique service identifier.

##### Requirements

Header: `boost/asio/windows/stream_handle_service.hpp`

Convenience header: `boost/asio.hpp`